## Copyright (c) 1994-1996 by Vixie Enterprises.
##
## Permission to use, copy, modify, and distribute this software for any
## purpose with or without fee is hereby granted, provided that the above
## copyright notice and this permission notice appear in all copies.
##
## THE SOFTWARE IS PROVIDED "AS IS" AND VIXIE ENTERPRISES DISCLAIMS ALL
## WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
## MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL VIXIE ENTERPRISES BE LIABLE
## FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
## WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
## OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
## CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# $Id: Makefile.inc,v 1.3 1996/05/16 04:48:34 vixie Exp $

.ifndef _proxynet
_proxynet=
TOPDIR= ${.CURDIR}/..
STRIPDIR= /corpmis/a1/home/vixie/src
LIBOWN= vixie
LIBGRP= corpmis
LIBMODE= 644
LIBDIR=	${TOPDIR}/obj
MANOWN= vixie
MANGRP= corpmis
MANMODE= 644
MANDIR= ${TOPDIR}/obj/cat
MANDIRS= ${MANDIR}1 ${MANDIR}3 ${MANDIR}8
INCOWN= vixie
INCGRP= corpmis
INCDIR= ${TOPDIR}/obj
BINOWN= vixie
BINGRP= corpmis
BINDIR= ${TOPDIR}/obj
INCDIRS!= echo ${INCDIR} /usr/local/include | tr ' ' '\012' | uniq
INCARGS!= echo ${INCDIRS} | tr ' ' '\012' | sed s/^/-I/
CFLAGS+= -g -DDEBUG ${INCARGS}
LDFLAGS+= -L${LIBDIR} -L/usr/local/lib
beforeinstall:
	@for D in ${INSTDIRS}; do \
		if [ ! -d $$D ]; then (set -x; mkdir -p $$D); fi; \
	done
	@for H in ${HDRS}; do \
		(set -x; \
		 install -c -m 444 -o ${INCOWN} -g ${INCGRP} ${.CURDIR}/$$H \
			${INCDIR}/ \
		); \
	done

INSTDIRS!= echo ${MANDIRS} ${INCDIR} ${LIBDIR} | tr ' ' '\012' | sort -u
.endif
