/*
 * Copyright (c) 1994-1996 by Vixie Enterprises.
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND VIXIE ENTERPRISES DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL VIXIE ENTERPRISES BE LIABLE
 * FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/* messages.c - message text for proxy library
 * vix 30mar94 [original]
 */

#if !defined(LINT) && !defined(CODECENTER)
static char rcsid[] = "$Id: messages.c,v 1.2 1996/05/16 04:48:39 vixie Exp $";
#endif

const char
	proxmsg_CantConn[] =	"%s(%s): can't connect to proxy server: %m",
	proxmsg_OutOfMem[] =	"out of memory",
	proxmsg_EndOfFile[] =	"premature EOF",
	proxmsg_BadProxSrvA[] =	"bad proxy server address",
	proxmsg_BadNameSrvA[] =	"bad name server address",
	proxmsg_BadAddress[] =	"bad addr",
	proxmsg_BadMask[] =	"bad mask value",
	proxmsg_NoMaskProto[] =	"no mask allowed for this protocol",
	proxmsg_MismatchTyp[] =	"socket type mismatch",
	proxmsg_MismatchFam[] =	"socket family mismatch",
	proxmsg_AddrExceeds[] =	"addr exceeds mask",
	proxmsg_UnrecogVerb[] =	"unrecognized verb",
	proxmsg_ConfigError[] =	"proxyInit: %s (\"%s\") (follows \"%s\")\n",
	proxmsg_NoServers[] =	"no proxy servers available: %m",
	proxmsg_RespNotOK[] =	"%s(%s): \"%s\" (not OK)",
	proxmsg_RespBadFmt[] =	"%s(%s): \"%s\" (resp fmt)",
	proxmsg_RespBadAddr[] =	"%s(%s): \"%s\" (addr fmt)",
	proxmsg_NullName[] =	"null name",
	proxmsg_BadNamAssoc[] =	"bad name associativity";
