/*
 * Copyright (c) 1994-1996 by Vixie Enterprises.
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND VIXIE ENTERPRISES DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL VIXIE ENTERPRISES BE LIABLE
 * FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/* messages.h - declarations for message text for proxy library
 * vix 30mar94 [original]
 *
 * $Id: messages.h,v 1.2 1996/05/16 04:48:39 vixie Exp $
 */

#ifndef _PROXYMESSAGES_H
#define _PROXYMESSAGES_H

extern const char
		proxmsg_CantConn[],
		proxmsg_OutOfMem[],
		proxmsg_EndOfFile[],
		proxmsg_BadProxSrvA[],
		proxmsg_BadNameSrvA[],
		proxmsg_BadAddress[],
		proxmsg_BadMask[],
		proxmsg_NoMaskProto[],
		proxmsg_MismatchTyp[],
		proxmsg_MismatchFam[],
		proxmsg_AddrExceeds[],
		proxmsg_UnrecogVerb[],
		proxmsg_ConfigError[],
		proxmsg_NoServers[],
		proxmsg_RespNotOK[],
		proxmsg_RespBadFmt[],
		proxmsg_RespBadAddr[],
		proxmsg_NullName[],
		proxmsg_BadNamAssoc[];

#endif /*_PROXYMESSAGES_H*/
